Facebook SDK + SlidingMenu SDK = несоответствие Jar! Исправьте свои зависимости

Поэтому я добавил SDK Facebook и SDK SlidingMenu в свой Android-проект, однако я получаю эти неприятные ошибки «несоответствия Jar».

Я уже удалил файл android-support-v4.jar из папки libs , но ошибка сохраняется.

Есть какие нибудь идеи как это починить? (Я также пытался удалить файлы из папок, но я получаю ошибки «файл не найден»)

Изображение: http://i.stack.imgur.com/9JOvg.png

Solutions Collecting From Web of "Facebook SDK + SlidingMenu SDK = несоответствие Jar! Исправьте свои зависимости"

Удалите android-support-v4.jar из библиотеки SlidingMenu . И скопируйте файл android-support-v4.jar из папки libs Facebook SDK и вставьте его в папку libs SlidingMenu .

А затем обновите проект SlidingMenu и, наконец, очистите все проекты после выполнения вышеуказанного.

Удалите библиотеку поддержки из обоих проектов библиотеки и добавьте ее в свой проект.

Попробуйте использовать файл android-support-v4.jar из папки libs из вашего проекта.

Удачи.